API Docs / Operations / Contacts / Match Contacts

Match Contacts

POST /tenants/{tenant}/contacts/match

Given a batch of people - a company's Companies House officers, typically - returns the existing contacts that could be each of them, with how sure we are: certain (the same Companies House officer id), strong (the same name and email address or month of birth) or possible (the same name and nothing else). Contacts that contradict a person are not returned. Nothing is created or changed.

Parameters

NameTypeDescription
tenant* path string

The Tenant.Code

The Tenant.Code

Request Body*

{
  "people": [
    {
      "reference": "...",
      "firstName": "...",
      "lastName": "...",
      "companiesHouseOfficerId": "...",
      "dateOfBirth": "..."
    }
  ]
}

Responses

200 OK
400 Bad Request
401 Unauthorized – Invalid or missing API key